from llama_index.core.postprocessor import NERPIINodePostprocessor
from llama_index.llms.huggingface import HuggingFaceLLM
from llama_index.core.schema import NodeWithScore, TextNode

original = (
    "Drogi Janie Kowalski. Twój adres został zapisany "
    "w naszej bazie danych. Proszę potwierdzić czy ten adres jest nadal ważny: "
    "uk. Parkowa 4, 00-001 Warszawa."
)

node = TextNode(text=original)
processor = NERPIINodePostprocessor()

clean_nodes = processor.postprocess_nodes(
    [NodeWithScore(node=node)]
)

print(clean_nodes[0].node.get_text())

